<?php
/**
 * @file
 * popsu_special_pages.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function popsu_special_pages_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  list($module, $api) = func_get_args();
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "panels_mini" && $api == "panels_default") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_node_info().
 */
function popsu_special_pages_node_info() {
  $items = array(
    'popsu_special' => array(
      'name' => t('POPSU / Page spéciale'),
      'base' => 'node_content',
      'description' => t('Ce type de contenu permet de créer des pages spéciales qui mélangent du contenu statique (texte) et des listings. Ex: page présentant les colloques de POPSU 1.'),
      'has_title' => '1',
      'title_label' => t('Titre de la page'),
      'help' => '',
    ),
  );
  return $items;
}
